## adms 2.3.4

=== CMakeLists.txt ===
# skip CMake 3.0 project version management for the moment
if(POLICY CMP0048)
  cmake_policy(SET CMP0048 OLD)
endif()

#==================================
PROJECT(ADMS C)
cmake_minimum_required(VERSION 2.8)


option ( USE_MAINTAINER_MODE "Enable generation of code (parser source) from Perl scripts." OFF )

SET(PACKAGE_NAME "adms")
SET(PACKAGE_VERSION "2.3.3")
SET(PACKAGE_BUGREPORT "qucs-bugs@lists.sourceforge.net")

INCLUDE( CheckIncludeFile )
check_include_file( sys/stat.h HAVE_SYS_STAT_H )
check_include_file( locale.h HAVE_LOCALE_H)
check_include_file( float.h HAVE_FLOAT_H)
check_include_file( unistd.h HAVE_UNISTD_H)
check_include_file( stdlib.h HAVE_STDLIB_H)
check_include_file( string.h HAVE_STRING_H)

INCLUDE( CheckFunctionExists )
CHECK_FUNCTION_EXISTS (putenv HAVE_PUTENV)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# Only care about Perl in case maintainer neededs to recreate souces
# * mkelements.pl
# * mktext.pl
# * mkgrammar.pl
if ( USE_MAINTAINER_MODE )
  # Checking for perl modules requires FindPerlModules.cmake
  # Check all required modules at once
  SET(CMAKE_MODULE_PATH "${ADMS_SOURCE_DIR}/cmake/modules")
  include(FindPerlModules)
  find_package(PerlModules COMPONENTS XML::LibXml GD)
  if(NOT PERLMODULES_FOUND)
    message(FATAL_ERROR "Not all required perl modules were found on your system")
  endif(NOT PERLMODULES_FOUND)
endif ( USE_MAINTAINER_MODE )


find_package(BISON)

# handle api.prefix, unused for the moment
MESSAGE("BISON_VERSION ${BISON_VERSION}")
IF (${BISON_VERSION} VERSION_LESS "2.6")
  SET (BISON_APIPREFIX "-p")
ELSE (${BISON_VERSION} VERSION_LESS "2.6")
  SET (BISON_APIPREFIX "-Dapi.prefix=")
ENDIF (${BISON_VERSION} VERSION_LESS "2.6")

find_package(FLEX)

ADD_SUBDIRECTORY(admsXml)

=== admsXml/CMakeLists.txt ===

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} )

# FIXME: not in use, config.h is included directly no conditional
ADD_DEFINITIONS(-DHAVE_CONFIG_H)


# Maintainer mode runs the Perl scrips that generate source code
if ( USE_MAINTAINER_MODE )

    # Run mkelements.pl
    #   Read in `adms.xml` and generete portions of adms and admst
    # Generate outputs:
    #    adms.h
    #    adms.c
    #    admstpathYacc.y
    #    admstpathYacc.h
    #    admstpath.dtd
    MESSAGE(STATUS "Running mkelements.pl code generator")

    EXECUTE_PROCESS(COMMAND
                    perl ${PROJECT_SOURCE_DIR}/admsXml/mkelements.pl ${PROJECT_SOURCE_DIR}
                    RESULT_VARIABLE element_result )

    IF(element_result EQUAL 0)
      MESSAGE(STATUS "mkelement.pl completed successfully")
    ELSE(element_result EQUAL 0)
      MESSAGE(FATAL_ERROR "mkelement.pl failed. Exit code: ${element_result}")
    ENDIF(element_result EQUAL 0)


    # Run mkctext.pl
    #   Wrap source files as C code
    # Generate outputs:
    #    constants.vams.c
    #    disciplines.vams.c
    #    adms.implicit.xml.c
    #    dummy.va.c
    #    dummy.xml.c
    SET(CTEXT
        constants.vams
        disciplines.vams
        adms.implicit.xml
        dummy.va
        dummy.xml )

    FOREACH( inc ${CTEXT} )
      MESSAGE(STATUS "Running mkctext.pl code generator on ${inc}")

      EXECUTE_PROCESS( COMMAND
                       perl ${PROJECT_SOURCE_DIR}/admsXml/mkctext.pl ${PROJECT_SOURCE_DIR}/admsXml/${inc} ${PROJECT_SOURCE_DIR}/admsXml
                       RESULT_VARIABLE text_result )

      IF(text_result EQUAL 0)
        MESSAGE(STATUS "mkctext.pl completed successfully")
      ELSE(text_result EQUAL 0)
        MESSAGE(FATAL_ERROR "mkctext.pl failed. Exit code: ${text_result}")
      ENDIF(text_result EQUAL 0)
    ENDFOREACH()


    # Run mkgrammar.pl
    #   Process verilogaYacc.y.in and generate the parser
    # Generate output:
    #    verilogaYacc.y
    #
    MESSAGE(STATUS "Running mkgrammar.pl code generator")

    EXECUTE_PROCESS(COMMAND perl ${PROJECT_SOURCE_DIR}/admsXml/mkgrammar.pl ${PROJECT_SOURCE_DIR}/admsXml/verilogaYacc.y.in
                    RESULT_VARIABLE grammar_result )

    IF(grammar_result EQUAL 0)
      MESSAGE(STATUS "mkgrammar.pl completed successfully")
    ELSE(grammar_result EQUAL 0)
      MESSAGE(FATAL_ERROR "mkgrammar.pl failed. Exit code: ${grammar_result}")
    ENDIF(grammar_result EQUAL 0)

ENDIF ( USE_MAINTAINER_MODE )

#
# -= admsElement =-
#
ADD_LIBRARY(admsElement adms.c)

# mkctext.pl -> dummy.va.c ends up on the top dir with in maintainer mode
include_directories(${CMAKE_BINARY_DIR} )

#
# -= admsPreprocessor =-
#
BISON_TARGET(preproParse ${CMAKE_CURRENT_SOURCE_DIR}/preprocessorYacc.y ${CMAKE_CURRENT_SOURCE_DIR}/preprocessorYacc.c )
FLEX_TARGET(preproScan ${CMAKE_CURRENT_SOURCE_DIR}/preprocessorLex.l  ${CMAKE_CURRENT_SOURCE_DIR}/preprocessorLex.c )
ADD_FLEX_BISON_DEPENDENCY(preproScan preproParse)

#MESSAGE(STATUS "Generate ${BISON_preproParse_OUTPUTS} ${FLEX_preoproScan_OUTPUTS} ")

ADD_LIBRARY(admsPreprocessor preprocessorMain.c
            ${BISON_preproParse_OUTPUTS} ${FLEX_preproScan_OUTPUTS} )

#
# -= admsVeriloga =-
#
# NOTE: could not get the generated `verilogaYacc.y` to end up in SOURCE_DIR/admsXml/, it ends up on BINARY_DIR
# As a workaroud, we check for the existence of the generated file. In USE_MAINTAINER_MODE, CMake generated takes precende
if(EXISTS "${CMAKE_BINARY_DIR}/verilogaYacc.y")
  # generated with CMake
  BISON_TARGET(vaParse ${CMAKE_BINARY_DIR}/verilogaYacc.y ${CMAKE_CURRENT_SOURCE_DIR}/verilogaYacc.c )
else()
  # generated with AutoTools (release tarball)
  BISON_TARGET(vaParse ${CMAKE_CURRENT_SOURCE_DIR}/verilogaYacc.y ${CMAKE_CURRENT_SOURCE_DIR}/verilogaYacc.c )
endif()
FLEX_TARGET(vaScan ${CMAKE_CURRENT_SOURCE_DIR}/verilogaLex.l  ${CMAKE_CURRENT_SOURCE_DIR}/verilogaLex.c )
ADD_FLEX_BISON_DEPENDENCY(vaScan vaParse)

#MESSAGE(STATUS "Generate ${BISON_vaParse_OUTPUTS} ${FLEX_vaScan_OUTPUTS} ")

ADD_LIBRARY(admsVeriloga
            ${FLEX_vaScan_OUTPUTS} ${BISON_vaParse_OUTPUTS} )

#
# -= admsAdmstpath =-
#
ADD_LIBRARY(admsAdmstpath admstpathYacc.c)
SET_SOURCE_FILES_PROPERTIES(admstpathYacc.c admstpathYacc.h admstpathLex.c PROPERTIES GENERATED TRUE)
SET_TARGET_PROPERTIES(admsAdmstpath PROPERTIES COMPILE_DEFINITIONS insideadmstpathYacc)
ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/admstpathYacc.c ${CMAKE_CURRENT_SOURCE_DIR}/admstpathYacc.h
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND ${BISON_EXECUTABLE}
    #ARGS -by ${BISON_APIPREFIX}admstpath -oadmstpathYacc.c admstpathYacc.y
    ARGS -by -oadmstpathYacc.c admstpathYacc.y
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/admstpathYacc.y
)

#
# -= admsXml =-
#
ADD_EXECUTABLE(admsXml admsXml.c)
TARGET_LINK_LIBRARIES(admsXml admsElement admsVeriloga admsPreprocessor admsAdmstpath -lm)


#
# -= admsCheck =-
#
ADD_EXECUTABLE(admsCheck admsCheck.c)
TARGET_LINK_LIBRARIES(admsCheck admsElement)

#
# Handle installation
#
INSTALL(TARGETS admsXml DESTINATION bin)
INSTALL(TARGETS admsCheck DESTINATION bin)

INSTALL(FILES admsXml.1 DESTINATION share/man/man1)
INSTALL(FILES admsCheck.1 DESTINATION share/man/man1)

=== debian/changelog ===
adms (2.3.4-10mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Work on the debian/copyright file.
  * Bump to debhelper 9 compat.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Oct 2017 10:36:45 -0700

adms (2.3.4-10) xenial; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:30:35 +0100

adms (2.3.4-9) wily; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:30:00 +0100

adms (2.3.4-8) vivid; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:22:31 +0100

adms (2.3.4-7) trusty; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:14:48 +0100

adms (2.3.4-6) trusty; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 14:07:41 +0100

adms (2.3.4-5) trusty; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:58:51 +0100

adms (2.3.4-4) xenial; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:52:23 +0100

adms (2.3.4-3) wily; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:51:51 +0100

adms (2.3.4-2) vivid; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:50:34 +0100

adms (2.3.4-1) trusty; urgency=medium

  * Built from tarball 2.3.4

 -- Frans Schreuder <fransschreuder@gmail.com>  Fri, 05 Feb 2016 13:47:08 +0100

=== debian/control ===
Source: adms
Section: electronics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Frans Schreuder <info@schreuderelectronics.com>
Homepage: http://sourceforge.net/projects/mot-adms/
Build-Depends: debhelper (>= 9),
                autotools-dev, 
                flex, bison, gperf
Standards-Version: 3.9.5

Package: adms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: provides admsXml needed for compiling Qucs Verilog-a modules

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

## adms 2.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,23 @@
+# This file is part of adms - http://sourceforge.net/projects/mot-adms.
+#
+# adms is a code generator for the Verilog-AMS language.
+#
+# Copyright (C) 2014-2015 Guilherme Brondani Torri <guitorri@gmail.com>
+#               2014 Luther T. Cat <lutherthecat@github>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
 # skip CMake 3.0 project version management for the moment
 if(POLICY CMP0048)
   cmake_policy(SET CMP0048 OLD)
@@ -7,12 +27,19 @@
 PROJECT(ADMS C)
 cmake_minimum_required(VERSION 2.8)
 
+SET(PACKAGE_NAME "adms")
+SET(PACKAGE_VERSION "2.3.6")
+SET(PACKAGE_BUGREPORT "qucs-bugs@lists.sourceforge.net")
 
-option ( USE_MAINTAINER_MODE "Enable generation of code (parser source) from Perl scripts." OFF )
+OPTION ( USE_MAINTAINER_MODE "Enable generation of code (parser source) from Perl scripts." OFF )
 
-SET(PACKAGE_NAME "adms")
-SET(PACKAGE_VERSION "2.3.3")
-SET(PACKAGE_BUGREPORT "qucs-bugs@lists.sourceforge.net")
+# Default to static libs ( shared needs work, BUG with MinGW). 
+OPTION ( BUILD_STATIC_LIBS "Build static libraries." ON )
+IF ( MINGW )
+  IF ( BUILD_STATIC_LIBS )
+    ADD_DEFINITIONS(-Dstaticlink)
+  ENDIF()
+ENDIF()
 
 INCLUDE( CheckIncludeFile )
 check_include_file( sys/stat.h HAVE_SYS_STAT_H )
@@ -27,7 +54,7 @@
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
-# Only care about Perl in case maintainer neededs to recreate souces
+# Only care about Perl in case maintainer needs to recreate sources
 # * mkelements.pl
 # * mktext.pl
 # * mkgrammar.pl
@@ -36,17 +63,16 @@
   # Check all required modules at once
   SET(CMAKE_MODULE_PATH "${ADMS_SOURCE_DIR}/cmake/modules")
   include(FindPerlModules)
-  find_package(PerlModules COMPONENTS XML::LibXml GD)
+  find_package(PerlModules COMPONENTS XML::LibXML)
   if(NOT PERLMODULES_FOUND)
     message(FATAL_ERROR "Not all required perl modules were found on your system")
   endif(NOT PERLMODULES_FOUND)
 endif ( USE_MAINTAINER_MODE )
 
 
-find_package(BISON)
+find_package(BISON 2.5)
 
 # handle api.prefix, unused for the moment
-MESSAGE("BISON_VERSION ${BISON_VERSION}")
 IF (${BISON_VERSION} VERSION_LESS "2.6")
   SET (BISON_APIPREFIX "-p")
 ELSE (${BISON_VERSION} VERSION_LESS "2.6")

=== admsXml/CMakeLists.txt ===
# This file is part of adms - http://sourceforge.net/projects/mot-adms.
#
# adms is a code generator for the Verilog-AMS language.
#
# Copyright (C) 2014-2015 Guilherme Brondani Torri <guitorri@gmail.com>
#               2014 Luther T. Cat <lutherthecat@github>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} ) # for config.h
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ) # for admsPreprocessor.h, amdsVeriloga.h
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} ) # for generated source code

# Maintainer mode runs the Perl scrips that generate source code
if ( USE_MAINTAINER_MODE )

  # Run mkelements.pl
  #   Read in `adms.xml` and generete portions of adms and admst
  # Generate outputs:
  #    adms.h
  #    adms.c
  #    admstpathYacc.y
  #    admstpathYacc.h
  #    admstpath.dtd
  MESSAGE(STATUS "Running mkelements.pl code generator")

  EXECUTE_PROCESS(
    COMMAND perl ${CMAKE_SOURCE_DIR}/admsXml/mkelements.pl ${CMAKE_SOURCE_DIR}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
          RESULT_VARIABLE element_result )

  IF(element_result EQUAL 0)
    MESSAGE(STATUS "mkelement.pl completed successfully")
  ELSE(element_result EQUAL 0)
    MESSAGE(FATAL_ERROR "mkelement.pl failed. Exit code: ${element_result}")
  ENDIF(element_result EQUAL 0)


  # Run mkctext.pl
  #   Wrap source files as C code
  # Generate outputs:
  #    constants.vams.c
  #    disciplines.vams.c
  #    adms.implicit.xml.c
  #    dummy.va.c
  #    dummy.xml.c
  SET(CTEXT
    constants.vams
    disciplines.vams
    adms.implicit.xml
    dummy.va
    dummy.xml )

  FOREACH( inc ${CTEXT} )
    MESSAGE(STATUS "Running mkctext.pl code generator on ${inc}")

    EXECUTE_PROCESS(
      COMMAND perl ${CMAKE_CURRENT_SOURCE_DIR}/mkctext.pl ${CMAKE_CURRENT_SOURCE_DIR}/${inc}
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      RESULT_VARIABLE text_result )

    IF(text_result EQUAL 0)
      MESSAGE(STATUS "mkctext.pl completed successfully")
    ELSE(text_result EQUAL 0)
      MESSAGE(FATAL_ERROR "mkctext.pl failed. Exit code: ${text_result}")
    ENDIF(text_result EQUAL 0)
  ENDFOREACH()


  # Run mkgrammar.pl
  #   Process verilogaYacc.y.in and generate the parser
  # Generate output:
  #    verilogaYacc.y
  #
  MESSAGE(STATUS "Running mkgrammar.pl code generator")

  EXECUTE_PROCESS(
    COMMAND perl ${CMAKE_CURRENT_SOURCE_DIR}/mkgrammar.pl ${CMAKE_CURRENT_SOURCE_DIR}/verilogaYacc.y.in
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
          RESULT_VARIABLE grammar_result )

  IF(grammar_result EQUAL 0)
    MESSAGE(STATUS "mkgrammar.pl completed successfully")
  ELSE(grammar_result EQUAL 0)
    MESSAGE(FATAL_ERROR "mkgrammar.pl failed. Exit code: ${grammar_result}")
  ENDIF(grammar_result EQUAL 0)

ENDIF ( USE_MAINTAINER_MODE )

# Issue with flex:
#   BISON_TARGET, FLEX_TARGET and ADD_FLEX_BISON_DEPENDENCY
#   Does not seem to overide the '%option outfile' or the location with -o option.
# Solution: use custom command and set the working directory.

#
# -= admsElement =-
#
ADD_LIBRARY(admsElement ${CMAKE_CURRENT_BINARY_DIR}/adms.c)
SET_TARGET_PROPERTIES(admsElement PROPERTIES COMPILE_DEFINITIONS insideElement)

#
# -= admsPreprocessor =-
#
SET(BisonOutput
  ${CMAKE_CURRENT_BINARY_DIR}/preprocessorYacc.h
  ${CMAKE_CURRENT_BINARY_DIR}/preprocessorYacc.c )
ADD_CUSTOM_COMMAND(
  OUTPUT ${BisonOutput}
  COMMAND ${BISON_EXECUTABLE}
  ARGS -by -opreprocessorYacc.c ${CMAKE_CURRENT_SOURCE_DIR}/preprocessorYacc.y
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )

SET(FlexOutput
  ${CMAKE_CURRENT_BINARY_DIR}/preprocessorLex.h
  ${CMAKE_CURRENT_BINARY_DIR}/preprocessorLex.c )
ADD_CUSTOM_COMMAND(
  OUTPUT ${FlexOutput}
  COMMAND ${FLEX_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/preprocessorLex.l
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )


ADD_LIBRARY(admsPreprocessor
  preprocessorMain.c
  ${BisonOutput}
  ${FlexOutput} )

SET_TARGET_PROPERTIES(admsPreprocessor PROPERTIES COMPILE_DEFINITIONS insidePreprocessor)

#
# -= admsVeriloga =-
#
SET(BisonOutput
  ${CMAKE_CURRENT_BINARY_DIR}/verilogaYacc.h
  ${CMAKE_CURRENT_BINARY_DIR}/verilogaYacc.c )
ADD_CUSTOM_COMMAND(
  OUTPUT ${BisonOutput}
  COMMAND ${BISON_EXECUTABLE}
  ARGS -by -overilogaYacc.c ${CMAKE_CURRENT_BINARY_DIR}/verilogaYacc.y
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )

SET(FlexOutput
  ${CMAKE_CURRENT_BINARY_DIR}/verilogaLex.h
  ${CMAKE_CURRENT_BINARY_DIR}/verilogaLex.c )
ADD_CUSTOM_COMMAND(
  OUTPUT ${FlexOutput}
  COMMAND ${FLEX_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/verilogaLex.l
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )

ADD_LIBRARY(admsVeriloga ${BisonOutput} ${FlexOutput} )

SET_TARGET_PROPERTIES(admsVeriloga PROPERTIES COMPILE_DEFINITIONS insideVeriloga)

#
# -= admsAdmstpath =-
#
SET(BisonOutput
	${CMAKE_CURRENT_BINARY_DIR}/admstpathYacc.c )
ADD_CUSTOM_COMMAND(
  OUTPUT ${BisonOutput}
  COMMAND ${BISON_EXECUTABLE}
  ARGS -by -oadmstpathYacc.c ${CMAKE_CURRENT_BINARY_DIR}/admstpathYacc.y
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )

# admstpathYacc.h is generated by mkelement.pl
ADD_LIBRARY(admsAdmstpath ${BisonOutput} ${CMAKE_CURRENT_BINARY_DIR}/admstpathYacc.h )
SET_TARGET_PROPERTIES(admsAdmstpath PROPERTIES COMPILE_DEFINITIONS insideadmstpathYacc)

#
# -= admsXml =-
#
ADD_EXECUTABLE(admsXml admsXml.c)
TARGET_LINK_LIBRARIES(admsXml admsElement admsVeriloga admsAdmstpath admsPreprocessor -lm)

#
# -= admsCheck =-
#
ADD_EXECUTABLE(admsCheck admsCheck.c)
TARGET_LINK_LIBRARIES(admsCheck admsElement)

#
# Handle installation
#
INSTALL(TARGETS admsXml DESTINATION bin)
INSTALL(FILES admsXml.1 DESTINATION share/man/man1)

INSTALL(TARGETS admsCheck DESTINATION bin)
INSTALL(FILES admsCheck.1 DESTINATION share/man/man1)

INSTALL(FILES constants.vams disciplines.vams DESTINATION include/adms)

=== debian/changelog ===
adms (2.3.6-2) unstable; urgency=high

  * debian/rules:
    - Add '--no-parallel' since it is not safe (Closes: #924822)

 -- Ruben Undheim <rubund@debian.org>  Sat, 30 Mar 2019 10:20:53 +0100

adms (2.3.6-1) unstable; urgency=low

  * Initial release (Closes: #501264)
    (Thanks Bastien ROUCARIÈS and Felix Salfelder for initial packaging)

 -- Ruben Undheim <rubund@debian.org>  Sun, 28 Oct 2018 13:18:48 +0100

=== debian/control ===
Source: adms
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <rubund@debian.org>,
           Bastien ROUCARIÈS <roucaries.bastien+debian@gmail.com>,
           Felix Salfelder <felix@salfelder.org>
Build-Depends: debhelper (>= 11),
          bison,
          flex,
          libgd-perl,
          libxml-parser-perl,
          libxml-libxml-perl,
          perl
Standards-Version: 4.2.1
Homepage: https://github.com/Qucs/ADMS
Vcs-Browser: https://salsa.debian.org/science-team/adms
Vcs-Git: https://salsa.debian.org/science-team/adms.git

Package: adms
Architecture: any
Depends: libadms0 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: Automatic device model synthesizer for Verilog-AMS
 ADMS is a code generator that converts electrical compact device models
 specified in high-level description language into
 ready-to-compile c code for the API of spice simulators.  Based on
 transformations specified in xml language adms transforms Verilog-AMS
 code into other target languages.

Package: libadms0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Shared library for automatic device model synthesizer
 ADMS is a code generator that converts electrical compact device models
 specified in high-level description language into
 ready-to-compile c code for the API of spice simulators.  Based on
 transformations specified in xml language adms transforms Verilog-AMS
 code into other target languages.
 .
 This package contains the shared library for ADMS

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --with autoreconf --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-maintainer-mode

override_dh_auto_clean:
	dh_auto_clean
	$(RM) admsXml/admstpath.dtd

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|[a-c])\d*)$/$1~$2/ https://github.com/Qucs/ADMS/releases /Qucs/ADMS/archive/release-(\d\S+)\.tar\.(?:bz2|gz|xz) debian uupdate

## adms 2.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,11 +27,12 @@
 PROJECT(ADMS C)
 cmake_minimum_required(VERSION 2.8)
 
+# TODO: store version in a sensible place
+# e.g. qucs: file(STRINGS "${qucs-project_SOURCE_DIR}/VERSION" QUCS_VERSION)
+
 SET(PACKAGE_NAME "adms")
-SET(PACKAGE_VERSION "2.3.6")
+SET(PACKAGE_VERSION "2.3.7")
 SET(PACKAGE_BUGREPORT "qucs-bugs@lists.sourceforge.net")
-
-OPTION ( USE_MAINTAINER_MODE "Enable generation of code (parser source) from Perl scripts." OFF )
 
 # Default to static libs ( shared needs work, BUG with MinGW). 
 OPTION ( BUILD_STATIC_LIBS "Build static libraries." ON )
@@ -54,20 +55,18 @@
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
-# Only care about Perl in case maintainer needs to recreate sources
+# Perl is used to recreate sources
 # * mkelements.pl
 # * mktext.pl
 # * mkgrammar.pl
-if ( USE_MAINTAINER_MODE )
-  # Checking for perl modules requires FindPerlModules.cmake
-  # Check all required modules at once
-  SET(CMAKE_MODULE_PATH "${ADMS_SOURCE_DIR}/cmake/modules")
-  include(FindPerlModules)
-  find_package(PerlModules COMPONENTS XML::LibXML)
-  if(NOT PERLMODULES_FOUND)
-    message(FATAL_ERROR "Not all required perl modules were found on your system")
-  endif(NOT PERLMODULES_FOUND)
-endif ( USE_MAINTAINER_MODE )
+# Checking for perl modules requires FindPerlModules.cmake
+# Check all required modules at once
+SET(CMAKE_MODULE_PATH "${ADMS_SOURCE_DIR}/cmake/modules")
+include(FindPerlModules)
+find_package(PerlModules COMPONENTS XML::LibXML)
+if(NOT PERLMODULES_FOUND)
+  message(FATAL_ERROR "Not all required perl modules were found on your system")
+endif(NOT PERLMODULES_FOUND)
 
 
 find_package(BISON 2.5)

=== admsXml/CMakeLists.txt ===
--- 
+++ 
@@ -22,81 +22,77 @@
 INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ) # for admsPreprocessor.h, amdsVeriloga.h
 INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} ) # for generated source code
 
-# Maintainer mode runs the Perl scrips that generate source code
-if ( USE_MAINTAINER_MODE )
+# Run the Perl scrips to generate source code
+# Run mkelements.pl
+#   Read in `adms.xml` and generete portions of adms and admst
+# Generate outputs:
+#    adms.h
+#    adms.c
+#    admstpathYacc.y
+#    admstpathYacc.h
+#    admstpath.dtd
+MESSAGE(STATUS "Running mkelements.pl code generator")
 
-  # Run mkelements.pl
-  #   Read in `adms.xml` and generete portions of adms and admst
-  # Generate outputs:
-  #    adms.h
-  #    adms.c
-  #    admstpathYacc.y
-  #    admstpathYacc.h
-  #    admstpath.dtd
-  MESSAGE(STATUS "Running mkelements.pl code generator")
+EXECUTE_PROCESS(
+  COMMAND perl ${CMAKE_SOURCE_DIR}/admsXml/mkelements.pl ${CMAKE_SOURCE_DIR}
+  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
+        RESULT_VARIABLE element_result )
+
+IF(element_result EQUAL 0)
+  MESSAGE(STATUS "mkelement.pl completed successfully")
+ELSE(element_result EQUAL 0)
+  MESSAGE(FATAL_ERROR "mkelement.pl failed. Exit code: ${element_result}")
+ENDIF(element_result EQUAL 0)
+
+
+# Run mkctext.pl
+#   Wrap source files as C code
+# Generate outputs:
+#    constants.vams.c
+#    disciplines.vams.c
+#    adms.implicit.xml.c
+#    dummy.va.c
+#    dummy.xml.c
+SET(CTEXT
+  constants.vams
+  disciplines.vams
+  adms.implicit.xml
+  dummy.va
+  dummy.xml )
+
+FOREACH( inc ${CTEXT} )
+  MESSAGE(STATUS "Running mkctext.pl code generator on ${inc}")
 
   EXECUTE_PROCESS(
-    COMMAND perl ${CMAKE_SOURCE_DIR}/admsXml/mkelements.pl ${CMAKE_SOURCE_DIR}
+    COMMAND perl ${CMAKE_CURRENT_SOURCE_DIR}/mkctext.pl ${CMAKE_CURRENT_SOURCE_DIR}/${inc}
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
-          RESULT_VARIABLE element_result )
+    RESULT_VARIABLE text_result )
 
-  IF(element_result EQUAL 0)
-    MESSAGE(STATUS "mkelement.pl completed successfully")
-  ELSE(element_result EQUAL 0)
-    MESSAGE(FATAL_ERROR "mkelement.pl failed. Exit code: ${element_result}")
-  ENDIF(element_result EQUAL 0)
+  IF(text_result EQUAL 0)
+    MESSAGE(STATUS "mkctext.pl completed successfully")
+  ELSE(text_result EQUAL 0)
+    MESSAGE(FATAL_ERROR "mkctext.pl failed. Exit code: ${text_result}")
+  ENDIF(text_result EQUAL 0)
+ENDFOREACH()
 
 
-  # Run mkctext.pl
-  #   Wrap source files as C code
-  # Generate outputs:
-  #    constants.vams.c
-  #    disciplines.vams.c
-  #    adms.implicit.xml.c
-  #    dummy.va.c
-  #    dummy.xml.c
-  SET(CTEXT
-    constants.vams
-    disciplines.vams
-    adms.implicit.xml
-    dummy.va
-    dummy.xml )
+# Run mkgrammar.pl
+#   Process verilogaYacc.y.in and generate the parser
+# Generate output:
+#    verilogaYacc.y
+#
+MESSAGE(STATUS "Running mkgrammar.pl code generator")
 
-  FOREACH( inc ${CTEXT} )
-    MESSAGE(STATUS "Running mkctext.pl code generator on ${inc}")
+EXECUTE_PROCESS(
+  COMMAND perl ${CMAKE_CURRENT_SOURCE_DIR}/mkgrammar.pl ${CMAKE_CURRENT_SOURCE_DIR}/verilogaYacc.y.in
+  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
+        RESULT_VARIABLE grammar_result )
 
-    EXECUTE_PROCESS(
-      COMMAND perl ${CMAKE_CURRENT_SOURCE_DIR}/mkctext.pl ${CMAKE_CURRENT_SOURCE_DIR}/${inc}
-      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
-      RESULT_VARIABLE text_result )
-
-    IF(text_result EQUAL 0)
-      MESSAGE(STATUS "mkctext.pl completed successfully")
-    ELSE(text_result EQUAL 0)
-      MESSAGE(FATAL_ERROR "mkctext.pl failed. Exit code: ${text_result}")
-    ENDIF(text_result EQUAL 0)
-  ENDFOREACH()
-
-
-  # Run mkgrammar.pl
-  #   Process verilogaYacc.y.in and generate the parser
-  # Generate output:
-  #    verilogaYacc.y
-  #
-  MESSAGE(STATUS "Running mkgrammar.pl code generator")
-
-  EXECUTE_PROCESS(
-    COMMAND perl ${CMAKE_CURRENT_SOURCE_DIR}/mkgrammar.pl ${CMAKE_CURRENT_SOURCE_DIR}/verilogaYacc.y.in
-    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
-          RESULT_VARIABLE grammar_result )
-
-  IF(grammar_result EQUAL 0)
-    MESSAGE(STATUS "mkgrammar.pl completed successfully")
-  ELSE(grammar_result EQUAL 0)
-    MESSAGE(FATAL_ERROR "mkgrammar.pl failed. Exit code: ${grammar_result}")
-  ENDIF(grammar_result EQUAL 0)
-
-ENDIF ( USE_MAINTAINER_MODE )
+IF(grammar_result EQUAL 0)
+  MESSAGE(STATUS "mkgrammar.pl completed successfully")
+ELSE(grammar_result EQUAL 0)
+  MESSAGE(FATAL_ERROR "mkgrammar.pl failed. Exit code: ${grammar_result}")
+ENDIF(grammar_result EQUAL 0)
 
 # Issue with flex:
 #   BISON_TARGET, FLEX_TARGET and ADD_FLEX_BISON_DEPENDENCY

=== debian/changelog ===
adms (2.3.7-2) unstable; urgency=medium

  [ Matheus Polkorny ]
  * Team upload.
  * d/p/0002-fix-ftbfs-gcc-15.patch: New patch (Closes: #1096279)

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Deal with dh_missing --fail-missing default

 -- Andreas Tille <tille@debian.org>  Sun, 28 Sep 2025 08:14:32 +0200

adms (2.3.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 26 Aug 2021 22:40:29 +0000

adms (2.3.6-3) unstable; urgency=medium

  * Team upload.

  [ Ruben Undheim ]
  * debian/tests/*: Added autopkgtest
  * debian/gitlab-ci.yml:
    - Enable continuous integration on salsa

  [ Anton Gladky ]
  * [6075017] Update watch file format version to 4.
  * [8924bb9] Bump debhelper from old 11 to 12.
  * [63e486a] Set debhelper-compat version in Build-Depends.
  * [c7311e3] Drop unnecessary dependency on dh-autoreconf.
  * [9c1d4b9] Remove obsolete field Name from debian/upstream/metadata
  * [b1d524b] Apply cme fix dpkg
  * Chris Lambs reprocibility patch (Closes: #926298)

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Dec 2020 20:08:31 +0100

=== debian/control ===
Source: adms
Standards-Version: 4.7.2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ruben Undheim <rubund@debian.org>,
 Bastien ROUCARIÈS <roucaries.bastien+debian@gmail.com>,
 Felix Salfelder <felix@salfelder.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 bison,
 flex,
 libgd-perl,
 libxml-parser-perl,
 libxml-libxml-perl,
 perl,
Vcs-Browser: https://salsa.debian.org/science-team/adms
Vcs-Git: https://salsa.debian.org/science-team/adms.git
Homepage: https://github.com/Qucs/ADMS
Rules-Requires-Root: no

Package: adms
Architecture: any
Depends:
 libadms0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Automatic device model synthesizer for Verilog-AMS
 ADMS is a code generator that converts electrical compact device models
 specified in high-level description language into
 ready-to-compile c code for the API of spice simulators.  Based on
 transformations specified in xml language adms transforms Verilog-AMS
 code into other target languages.

Package: libadms0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Shared library for automatic device model synthesizer
 ADMS is a code generator that converts electrical compact device models
 specified in high-level description language into
 ready-to-compile c code for the API of spice simulators.  Based on
 transformations specified in xml language adms transforms Verilog-AMS
 code into other target languages.
 .
 This package contains the shared library for ADMS

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 
 %:
-	dh $@ --with autoreconf --no-parallel
+	dh $@ --no-parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-maintainer-mode

=== debian/tests/control ===
Tests: can-show-help
Depends: adms
